/*
 * Created on Feb 2, 2005
 */
package mvc373Hw3;

import java.awt.Graphics2D;

import javax.swing.JPanel;

/** View module for a Tower of Hanoi game.
 * 
 *  In addition to the methods of this interface, concrete implementation
 * class must supply the following constructor:
 * 
 * public TowerView(ITowerModel towerModel);
 * In the constructor, the object should save the towerModel reference
 * to use when drawing the view.
 * 
 */
public interface ITowerView {
 
    
    
    /** Repaint the entire view panel, from scratch.
     * If the implementation class extends a superclass of Component
     * (such as JPanel), this will be taken care of: you should NOT
     *  even override it.  Instead, you override
     * the component's paintComponent method.
     */
    public void repaint();



}
