/*
 * Created on Feb 2, 2005
 */
package towerHw3.tcontroller;

import java.awt.Graphics;

import javax.swing.JPanel;

import mvc373Hw3.ITowerController;
import mvc373Hw3.ITowerModel;
import mvc373Hw3.ITowerView;

/** Test implementation of a Tower of Hanoi game model.
 */
public class TowerController extends JPanel
							implements ITowerController {
    
    public static final String AUTHOR = "Martin D.";
    public static final String SHORT_DESCRIPTION = "a stub";
    public static final String LONG_DESCRIPTION = "A simple, mostly incorrect " +
    				" version just for verifying that the pieces fit together.";

   private int refreshCount = 0;
   
   private ITowerModel towerModel;
   private ITowerView towerView;
    
    /** Required constructor.
     * 
     * @param towerModel a non-null model
     */
    public TowerController (ITowerModel towerModel, ITowerView towerView) {
        assert towerModel != null;
        assert towerView != null;
        this.towerModel = towerModel;
        this.towerView = towerView;        
    }

    /* 
     * @see tower.ITowerController#startOver()
     */
    public boolean startUp() {
        return true;
    }

    /* 
     * @see tower.ITowerController#shutDown()
     */
    public boolean shutDown() {
        return false;
    }
    
    public void paintComponent(Graphics g) {
        super.paintComponent(g);
        g.drawString("From tower controller paintComponent," +
                " refreshCount=" + refreshCount++, 20, 30);
        this.towerView.repaint();
    }


}
